import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
// import "./registerServiceWorker";
import "./components/registerComponents";
import "./modules/questions/component/registerComponents";
import "./plugins/element.js";
import "./plugins/axios";
import "./plugins/vueAwesome";
import "./directives/directives.js";
import "./filters/filters.js";
import "./assets/styles/index.scss";
import "./modules/card/assets/styles/module.scss";
import "./modules/paper-export/assets/styles/module.scss";

import globalVuePlugins from "./plugins/globalVuePlugins";
Vue.use(globalVuePlugins);

Vue.config.productionTip = process.env.NODE_ENV !== "production";

if (
  process.env.NODE_ENV === "development" &&
  process.env.VUE_APP_ENABLE_VUE_RENDER_LOGS === "true"
) {
  const vueLifecylceLogs = require("./plugins/vueLifecylceLogs").default;
  vueLifecylceLogs({});
}

Vue.prototype.$eventHub = new Vue();

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
